Skip to content
Start here

Get session details.

browser_rendering.devtools.session.get(strsession_id, SessionGetParams**kwargs) -> SessionGetResponse
GET/accounts/{account_id}/browser-rendering/devtools/session/{session_id}

Get details for a specific browser session.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
account_id: str

Account ID.

session_id: str

Session ID.

formatuuid
ReturnsExpand Collapse
class SessionGetResponse:
session_id: str

Session ID.

formatuuid
close_reason: Optional[str]

Reason for session closure.

close_reason_text: Optional[str]

Human-readable close reason.

connection_end_time: Optional[float]

Connection end time.

connection_id: Optional[str]

Connection ID.

connection_start_time: Optional[float]

Connection start time.

devtools_frontend_url: Optional[str]

DevTools frontend URL.

end_time: Optional[float]

Session end time.

last_updated: Optional[float]

Last updated timestamp.

start_time: Optional[float]

Session start time.

web_socket_debugger_url: Optional[str]

WebSocket URL for debugging this target.

Get session details.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
session = client.browser_rendering.devtools.session.get(
    session_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="account_id",
)
print(session.session_id)
{
  "sessionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "closeReason": "closeReason",
  "closeReasonText": "closeReasonText",
  "connectionEndTime": 0,
  "connectionId": "connectionId",
  "connectionStartTime": 0,
  "devtoolsFrontendUrl": "devtoolsFrontendUrl",
  "endTime": 0,
  "lastUpdated": 0,
  "startTime": 0,
  "webSocketDebuggerUrl": "webSocketDebuggerUrl"
}
Returns Examples
{
  "sessionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "closeReason": "closeReason",
  "closeReasonText": "closeReasonText",
  "connectionEndTime": 0,
  "connectionId": "connectionId",
  "connectionStartTime": 0,
  "devtoolsFrontendUrl": "devtoolsFrontendUrl",
  "endTime": 0,
  "lastUpdated": 0,
  "startTime": 0,
  "webSocketDebuggerUrl": "webSocketDebuggerUrl"
}